//----------------------------------------------------------------------------
//  Project Test_At3dx_Dll
//  MicroMouse Productions
//  Copyright © 1999-2012. All Rights Reserved.
//  Author: Wayne Hogue
//
// this class was created for easily transferring code between
// Borland C++ Builder and Microsoft Visual C++
//
//----------------------------------------------------------------------------

#if !defined(at3dx_my_functions_H)
#define at3dx_my_functions_H

__int32 my_makepath(char* pathPtr, size_t pathSize, const char* drivePtr,
                    const char* dirPtr, const char* fnamePtr, const char* extPtr);
__int32 my_splitpath(const char* pathPtr, char* drivePtr, size_t driveSize,
                     char* dirPtr, size_t dirSize,
                     char* fnamePtr, size_t fnameSize,
                     char* extPtr, size_t extSize);

__int32 my_sprintf(char* destPtr, size_t destSize, const char *format, ... );


__int32 my_strcat(char* destPtr, size_t destSize, char* srcPtr);
__int32 my_strcpy(char* destPtr, size_t destSize, char* srcPtr);
__int32 my_wcscpy(wchar_t* destPtr, size_t destSize, wchar_t* srcPtr);
__int32 my_strncpy(char *destPtr, size_t destSize, const char *srcPtr, size_t count);
__int32 my_stricmp(const char* strPtr1, const char* strPtr2);

FILE* my_fopen(const char* filename, const char* mode);

#endif // at3dx_my_functions_H

